GIT-RELEASE(1)

NAME
git-release - Commit, tag and push changes to the repository

SYNOPSIS
git-release <tagname> [<remote>]

DESCRIPTION
Commits changes with message "Release <tagname>", tags with the given <tagname> and pushes the branch / tags.

OPTIONS
<tagname>

The name of the newly created tag. Also used in tag comment.

<remote>

The "remote" repository that is destination of a push operation: it is passed to git push.

EXAMPLES

•   Release commit with the given <tagname>.

    $ git release 0.1.0

•   Release commit with the given <tagname> and push to specific remote.

    $ git release 0.1.0 github

AUTHOR
Written by Tj Holowaychuk <tj@vision-media.ca>

REPORTING BUGS
<https://github.com/visionmedia/git-extras/issues>

SEE ALSO
<https://github.com/visionmedia/git-extras>